%ifvar action -notempty%
   %invoke wia.demo.issprofiler.ui.run_uc:triggerUseCase%
   %endinvoke%
%end if%

<html>
   <head>
      <meta http-equiv="pragma" content="no-cache">
      <meta http-equiv='content-type' content='text/html; charset=utf-8'>
      %invoke wia.demo.issprofiler.ui.util:getStyleMetadata%
      <link rel="stylesheet" type="text/css" href="%value WmRoot/cssFilename%">
      <link rel="stylesheet" type="text/css" href="/WiaServiceProfiler/issprofiler.css">
      <link rel="stylesheet" type="text/css" href="/WiaRoot/css/wrightia.css">
      <script  type="text/javascript" src="%value WmRoot/jsFilename%"></script>
      <script  type="text/javascript" src="/WiaRoot/scripts/wia4dsp.js"></script>
      %end invoke%
      <style>
         select
             {
             font-size: 100%;
             }
         input, textarea
             {
             font-size: 100%;
             padding-left: 2px;
             padding-right: 2px;
             }
      </style>
   </head>

   <body style="border: 0;">
      <p>
      <table width="100%"> <!-- this table is being used only to set a left identation to the child tables -->

         %invoke wia.demo.issprofiler.ui.run_uc:getUseCasesMetadata%
            <tr>
               <td width="10">&nbsp;</td>
               <td>
                  <table>

                     %ifvar message%
                        <tr>
                           <td class="message" colspan="6">
                              %value message%
                           </td>
                        </tr>
                        <tr> <td> <br/> </td> </tr>
                     %endif%

                     <tr class="heading">
                        <td colspan="6">Use Cases</td>
                     </tr>

                     <tr>
                        <td class="columnHeading">Description</td>
                        <td class="columnHeading">Performance</td>
                        <td class="columnHeading">Looping    </td>
                        <td class="columnHeading">Action     </td>
                        <td class="columnHeading">Execute    </td>
                        <td class="columnHeading">Instances  </td>
                     </tr>

                     <!-- show current pattern set -->
                     %scope Metadata%
                        %loop UseCases%
                           <form method="post" name="frmUseCase">
                              <input type="hidden" name="useCase" value="%value name%" />
                              <tr>
                                 <script type="text/javascript">
                                    writeTag_TD  ( "<a href='run_usecases_info.dsp?text=%value text encode(url)%&srvName=%value serviceName encode(url)%&loopSrvName=%value loopingServiceName encode(url)%&srvPath=%value servicePath encode(url)%' target='run_uc_info'>"
                                                 + "%value text%"
                                                 + "</a>", "row-l", true );
                                    writeTag_TD  ( '<select name=performance>'
                                                 + '<option value=veryfast  %ifvar performance equals('veryfast')% selected %endif%>Very Fast </option>'
                                                 + '<option value=fast      %ifvar performance equals('fast')%     selected %endif%>Fast      </option>'
                                                 + '<option value=average   %ifvar performance equals('average')%  selected %endif%>Average   </option>'
                                                 + '<option value=slow      %ifvar performance equals('slow')%     selected %endif%>Slow      </option>'
                                                 + '<option value=veryslow  %ifvar performance equals('veryslow')% selected %endif%>Very Slow </option>'
                                                 + '</select>' , "row-l"  , false);
                                    writeTag_TD  ( "%value looping%", "rowdata", false );
                                    writeTag_TD  ( '<select name=action>'
                                                 + '<option value=run>Run Once</option>'
                                                 %ifvar looping equals('true')%
                                                 + '<option value=stop>Stop</option>'
                                                 %else%
                                                 + '<option value=loop>Loop</option>'
                                                 %end if%
                                                 +'</select>' , "rowdata", false);
                                    %ifvar instances equals('10')%
                                    writeTag_TD  ( '<img src="images/btn_test_gray.gif" alt="Execution disabled">', "rowdata", false);
                                    %else%
                                    writeTag_TD  ( '<input type="image" src="images/btn_test.gif" alt="Run Service" border="0" />', "rowdata", false );
                                    %endifvar%
                                    writeTag_TD  ( "%value instances encode(none)%", "rowdata", false );
                                 </script>
                              </tr>
                           </form>
                        %endloop%
                     %endscope%

                  </table>
               </td>
            </tr>

         %onerror%
            <tr>
               <td class="message" colspan="2">
                  An error occurred.
               </td>
            </tr>
         %endinvoke%
      </table>

   </body>
</html>
